listRounds
GET
/v1/explorer/rounds
const url = 'https://testnet-rpc.necter.network/v1/explorer/rounds?kind=exec&state=pending&limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://testnet-rpc.necter.network/v1/explorer/rounds?kind=exec&state=pending&limit=50'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
string
module
string
kind
string
state
string
limit
integer
cursor
string
Responses
Section titled “Responses”Rounds, newest first
Media typeapplication/json
object
items
required
array
next_cursor
required
string | null
items
required
Array<object>
object
round_id
required
string
kind
required
string
state
required
string
project_id
string
module_address
string
function
string
epoch
integer
seq
integer
receipt_hash
string
gas_used
integer
committee_size
integer
votes
integer
agreeing
integer
audited
boolean
created_at
required
integer
finalized_at
integer
Example
{ "items": [ { "kind": "exec", "state": "pending" } ]}